# Package org.apache.wiki.api.exceptions

JSPWiki's API exceptions package. This package holds all the exceptions used by JSPWiki APIs.

### Package Specification

### Related Documentation

Exception Summary
FilterException: A generic PageFilter exception.
NoRequiredPropertyException: Marks an erroneous jspwiki.properties file.
NoSuchVariableException: Marks that no such variable was located.
PluginException: Provides a generic PluginException.
ProviderException: This exception represents the superclass of all exceptions that providers may throw.
RedirectException: This exception may be thrown if a filter wants to reject something and redirect the user elsewhere.
WikiException: A generic Wiki exception.
WikiI18nException: A generic Wiki exception, meant to carry key & args to construct i18n messages to show meaningful messages to end-user.